Subject: IPP>MOD

From: [email-masked]
Date: Wed, 26 Feb 1997 13:48:59 -0500

Classification:
Prologue:
Epilogue: Roger K deBry
Senior Techncial Staff Member
Architecture and Technology
IBM Printing Systems
email: [email-masked]
phone: 1-303-924-4080

I've drawn up the following diagram to help me think about the components
in an IPP system.  Perhaps this would be useful in the model document.
Does the picture look about right? I'd appreciate any comments.
You'll need a monospace font for things to line up right.

                 o            +-------------+
               \|/           | Application  |
               / \           +------+------+
              End-User              |
   +-------------+  +-----+  +------+-------+
   |   Browser   |  | GUI |  | Print Driver |
   +------+------+  +--+--+  +------+-------+
          |            |            |
          |        +---+------------+---+
  D  S    |        |      IPP Client    |
  I  E    |        +---------+----------+
  R  C    |                  |
  E  U
  C  R  ---------- HTTP -----------
  T  I
  O  T               |
  R  Y               |
  Y        +---------+---------+
           |     Web Server    |
           +---------+---------+
                     |
           +---------+---------+
           |    IPP Server     |
           +---------+---------+
                     |
           +---------+---------+
           |   Print Service   |
           +---------+---------+
                     |
              Output Device(s)